Official OS 5.0.0.1067 for the BlackBerry Bold 9000 Curve 8900 and Curve 8520 from AT&T

By Adam Zeis on 25 Mar 2011 10:40 am EDT
-
loading...
-
loading...
-
loading...

AT&T Official OS 5.0.0.1067

AT&T has dropped a few new official OS versions today for the Bold 9000, Curve 8520 and Curve 8900. OS 5.0.0.1067 is ready for download for all three devices. While it's not OS 6, it's still an updated offiical OS. You can snag it from the AT&T software download site via the links below. As always, use caution when installing any OS on your device - official or not. Head to the forums with your findings! Thanks rroyy.

Download OS 5.0.0.1067 for the Bold 9000
Discuss more in the forums

Download OS 5.0.0.1067 for the Curve 8900
Discuss more in the forums 

Download OS 5.0.0.1067 for the Curve 8520
Discuss more in the forums 

Reader comments

Official OS 5.0.0.1067 for the BlackBerry Bold 9000 Curve 8900 and Curve 8520 from AT&T

18 Comments

Only reason these devices are still alive is because they were bomb diggity. They should come out with a retro line of the good devices with new goodies. Anyone else agree?

Nice! Good to see the 9000 still being supported!

I've been quite happy with the performance of 5.0.0.1049 especially with memory leaks/management - the speed has been really good too.

I'll have to think about giving this one a go too :)

And only last night I installed .1049 on to ma` Bold 9000.
If i only knew,I would wait this one...but never the less,there is time for this upgrade in near future...;);)

This isn't an update if you are running 5.0.0.1036 - PL5.2.0.104

This has a lower Software Platform 5.0.0.1067 - PL5.2.0.96

For the record, this platform is lower than 5.0.0.1022 - PL5.2.0.102

I have no clue what AT&T is trying to accomplish with this, but I for one am bummed I don't have a new OS to try out...

Any idea what is in this update? My 8900 can take it, I am at 5.0.0.822, but I wonder if it is worth the effort.

The different file that affects it being a downgrade is UMTS/rim9000.sfi which seems to be some sort of radio file. Seems kind of janky and I dont know if it will blow up (and im slightly afraid to pull the trigger) but if you put the rim9000.sfi from your last update into this package it wants to proceed as a normal update.

I'll just be waiting at least until the 8520 finally anounced as supportiing OS6 Device even though when it arrived, it would probably be dumped by every user of it with new BB Lines

At$t thinks they are slick, they arent going to update our older BBs to OS6 because they are trying to force us to buy a new fone. They really piss me off with their practices sometimes. If Verizon had a decent BB like the Bold 9000 with the OS6 i would have bounced from At$t long ago. 13yrs with AT$T....man i'm a gluton for punishment.